Package ghidra.app.services

# Class AnalyzerAdapter

java.lang.Object
ghidra.app.services.AbstractAnalyzer
ghidra.app.services.AnalyzerAdapter

All Implemented Interfaces:
  `Analyzer`, `ExtensionPoint`

public abstract class AnalyzerAdapter extends AbstractAnalyzer

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnalyzerAdapter(String name, AnalysisPriority priority)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `added(Program program, AddressSetView set, TaskMonitor monitor, MessageLog log)`
  Called when the requested information type has been added, for example, when a function is added.
  `boolean`
  `getDefaultEnablement(Program program)`
  Returns true if this analyzer should be enabled by default.

  ### Methods inherited from class ghidra.app.services.AbstractAnalyzer

  `analysisEnded, canAnalyze, getAnalysisType, getDescription, getName, getPriority, isPrototype, optionsChanged, registerOptions, removed, setDefaultEnablement, setPriority, setPrototype, setSupportsOneTimeAnalysis, setSupportsOneTimeAnalysis, supportsOneTimeAnalysis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.app.services.Analyzer

  `getOptionsUpdater`

- ## Constructor Details

  - ### AnalyzerAdapter

    public AnalyzerAdapter(String name, AnalysisPriority priority)

- ## Method Details

  - ### added

    public boolean added(Program program, AddressSetView set, TaskMonitor monitor, MessageLog log) throws CancelledException
    Description copied from interface: `Analyzer`
    Called when the requested information type has been added, for example, when a function is added.
    Parameters:
      `program` - program to analyze
      `set` - AddressSet of locations that have been added
      `monitor` - monitor that indicates progress and indicates whether the user canceled the analysis
      `log` - a message log to record analysis information
    Returns:
      true if the analysis succeeded
    Throws:
      `CancelledException` - if the analysis is cancelled

  - ### getDefaultEnablement

    public boolean getDefaultEnablement(Program program)
    Description copied from interface: `Analyzer`
    Returns true if this analyzer should be enabled by default. Generally useful analyzers should return true. Specialized analyzers should return false;
    Specified by:
      `getDefaultEnablement` in interface `Analyzer`
    Overrides:
      `getDefaultEnablement` in class `AbstractAnalyzer`
    Parameters:
      `program` - the program
    Returns:
      true if enabled by default